Bug 325593 - Systray icon does not show unread messages on startup
Summary: Systray icon does not show unread messages on startup
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Applications
Component: UI (show other bugs)
Version: 4.12.1
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-03 17:12 UTC by Grósz Dániel
Modified: 2017-01-07 21:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Grósz Dániel 2013-10-03 17:12:18 UTC
The systray icon does not show the number of unread messages on kmail startup. 

If I disable showing the number of unread messages and then enable it again, it appears. It also appears if I receive a new mail, as well as on some ui operations such as changing folders.
Comment 1 Grósz Dániel 2013-10-03 17:19:42 UTC
The tooltip of the systray icon also says "No unread messages" on startup, when in fact there are unread messages.
Comment 2 Peer Frank 2014-01-28 08:58:20 UTC
same thing here: no more counter of unread mails in the systray icon since my latest update,
KDE 4.12.1 (and linux 3.11.6-4-desktop, OS13.1)
Comment 3 Peer Frank 2014-01-28 15:19:00 UTC
it's working fine on my laptop with exactly (as far as I can tell) the same config. 
kmail,  kdepim4, akonadi etc 4.12.1 r436.1
kdebase4-workspace 4.11.5 r1022.1
I also tried a fresh kmailrc but this did not fix it. akonadi_newmailnotifier is running.
Comment 4 Grósz Dániel 2014-01-28 16:47:11 UTC
At me it works nowadays.
Comment 5 Laurent Montel 2014-01-29 06:04:58 UTC
Could you verify in kmail->settings->account->other action => it will open newmailnotifier settings
=> go to folder to see what is selected as folder.

We use same settings for notify and show value

Or kmail->settings->appeareance -> systemtray-> "show unread mail in systray" settings
Comment 6 Peer Frank 2014-01-29 08:04:40 UTC
(In reply to comment #5)
> Could you verify in kmail->settings->account->other action => it will open
> newmailnotifier settings

enabling this had no effect. 


> => go to folder to see what is selected as folder.

YES - this is it. 
No folder was selected. I'm sure that I never touched this. But switching "Mark taskbar entry" on then off deselects all folders - sure, but taskbar notification works with "Mark taskbar entry" deselected. The logics between the 2 tabs (notify and folder) or better: the stored setting seems to have a little disconnect.

Thanks for the hint!
Comment 7 Laurent Montel 2014-01-29 08:52:22 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > Could you verify in kmail->settings->account->other action => it will open
> > newmailnotifier settings
> 
> enabling this had no effect. 
> 
> 
> > => go to folder to see what is selected as folder.
> 
> YES - this is it. 
> No folder was selected. 

Ah ! So this is the problem.
When you activate you show info in systray ?


>I'm sure that I never touched this. But switching
> "Mark taskbar entry" on then off deselects all folders - sure, but taskbar
> notification works with "Mark taskbar entry" deselected. The logics between
> the 2 tabs (notify and folder) or better: the stored setting seems to have a
> little disconnect.
>
"Mark taskbar entry" on then off deselects all folders" ? I don't understand.

> Thanks for the hint!
Comment 8 Peer Frank 2014-01-29 09:06:01 UTC
> "Mark taskbar entry" on then off deselects all folders" ? I don't understand.

1) notify/enable "Mark taskbar entry" has no effect (no counter in the taskbar icon) and all folders remain unselected in tab Folders

2) counter works only after selecting the folders in tab Folders

I would expect 1) to already enable the action.
Also after closing the tab Folder some selections seems to become deselected (with no effect on the counter).
Comment 9 Laurent Montel 2014-01-29 09:40:29 UTC
1) is notification. => show info in taskbar that you have new mail or other it's not systray

2) normal


But perhaps there is a pb with selection. I will investigate.
Comment 10 Denis Kurz 2016-09-24 18:21:43 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 11 Denis Kurz 2017-01-07 21:39:01 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.